<template>
  <div>
    <item :item="movie" />
    <search-results :items="moviesByTheSameGenre" />
  </div>
</template>

<script>
import Item from "@/components/Item";
import SearchResults from "@/components/SearchResults";
import { mapGetters } from "vuex";

export default {
  name: "Details",
  components: {
    Item,
    SearchResults
  },
  computed: {
    ...mapGetters(["allMovies"]),
    movie: function() {
      return this.allMovies.find(movie => movie.id === this.$route.params.id);
    },
    moviesByTheSameGenre: function() {
      return this.allMovies.filter(item =>
        item.genre.includes(this.movie.genre)
      );
    }
  }
};
</script>
